lnmp升级及安装多版本php共存

前言

由于项目升级,之前的一台服务器环境安装使用了 lnmp一键安装包来安装的环境。默认PHP版本较低7.4。新项目使用了8.2,由于新项目用户较少,所以安排跟这个老版本的应用放一起。

步骤

看了下官网说明

1、下载支持php8.2的安装包,目前正式版LNMP 2.0支持

# 下载解压并进入目录
wget https://soft.lnmp.com/lnmp/lnmp2.0.tar.gz -O lnmp2.0.tar.gz && tar zxf lnmp2.0.tar.gz && cd lnmp2.0

# 安装升级环境
./upgrade1.x-2.0.sh

2、安装多版本共存

依然在解压目录下操作

./install.sh mphp

之后输入要安装的版本的序号即可。

注意:安装多版本期间会导致 lnmp 所有安装的服务停用(Nginx/MySQL等),请在业务空闲时操作

3、安装其他PHP对应的扩展

./addons.sh

这里会有2步选择,第一步选择所需扩展,如 redis 。之后第二步选择你要安装的PHP版本

脚本会自动检测共用的已安装 redis 再编译相应扩展。

至此安装完成,配置相应 Nginx 的 vhost 即可。

Author: thinkwei

发表回复

您的电子邮箱地址不会被公开。 必填项已用 * 标注